import {httpApi} from "../../request/httpApi";

export default {
    //分页获取列表
    async getPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/approve/task/page',
            method: 'post',
            data: form
        }, msg);
    },
    //审批管理任务详情
    async getDetail(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/approve/task/detail',
            method: 'get',
            params: form
        }, msg);
    },
    //审批任务驳回
    async rejectTask(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/approve/task/reject',
            method: 'post',
            data: form
        }, msg);
    },
    //审批任务提交
    async submitTask(form, msg = true) {
        return httpApi({
            url: '/api/blade-control/approve/task/submit',
            method: 'post',
            params: form
        }, msg);
    },


}
